# Generated by Django 3.2 on 2023-02-27 14:21

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('pyscada', '0100_device_instrument_handler'),
        ('systemstat', '0013_auto_20230202_1245'),
    ]

    operations = [
        migrations.AlterField(
            model_name='systemstatvariable',
            name='information',
            field=models.PositiveSmallIntegerField(choices=[(0, 'cpu_percent'), (1, 'virtual_memory_usage_total'), (2, 'virtual_memory_usage_available'), (3, 'virtual_memory_usage_percent'), (4, 'virtual_memory_usage_used'), (5, 'virtual_memory_usage_free'), (6, 'virtual_memory_usage_active'), (7, 'virtual_memory_usage_inactive'), (8, 'virtual_memory_usage_buffers'), (9, 'virtual_memory_usage_cached'), (10, 'swap_memory_total'), (11, 'swap_memory_used'), (12, 'swap_memory_free'), (13, 'swap_memory_percent'), (14, 'swap_memory_sin'), (15, 'swap_memory_sout'), (17, 'disk_usage_systemdisk_percent'), (18, 'disk_usage_percent'), (19, 'network_ip_address'), (20, 'process_pid'), (40, 'file or directory last modification time'), (100, 'APCUPSD Online Status (True/False)'), (101, 'APCUPSD Line Voltage'), (102, 'APCUPSD Battery Voltage'), (103, 'APCUPSD Battery Charge in %'), (104, 'APCUPSD Battery Time Left in Minutes'), (105, 'APCUPSD Load in %'), (200, 'List first X/last X/all items of a directory'), (201, 'List first X/last X/all items of a ftp directory'), (250, 'is enabled'), (251, 'is active'), (300, 'timestamp (UTC). Use parameter to set offset.')], help_text='For item list create a VP for each path.'),
        ),
        migrations.AlterField(
            model_name='systemstatvariable',
            name='parameter',
            field=models.CharField(blank=True, default='', help_text="For 'disk_usage' insert the path.<br>For 'timestamp' define an offset in seconds (positive means in the future)(accept a decimal number up to the millisecond).<br>For 'network_ip_address' specify the interface name.<br>For process_id : specify the process name<br>Examples for items list (local) : first 10 / last 5 / all.<br>Examples for items list (ftp) : 127.0.0.1 first 10 / ftp.test.com last 5 / 192.168.1.5 all.<br>", max_length=400, null=True),
        ),
        migrations.CreateModel(
            name='SystemStatDevice',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('system_type', models.PositiveSmallIntegerField(choices=[(0, 'local'), (1, 'remote (ssh)')], default=0, help_text='Choose the local system hosting PyScada or a remote system accessible by SSH')),
                ('host', models.CharField(default='test.com', max_length=200)),
                ('port', models.PositiveSmallIntegerField(default=22)),
                ('username', models.CharField(blank=True, default='', max_length=50)),
                ('password', models.CharField(blank=True, default='', max_length=50)),
                ('timeout', models.PositiveSmallIntegerField(default=5)),
                ('system_stat_device', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to='pyscada.device')),
            ],
        ),
    ]
