# Generated by Django 2.2.8 on 2021-06-01 09:38

from django.db import migrations, models
import logging

logger = logging.getLogger(__name__)


def create_systemstat_devices(apps, schema_editor):
    # We can't import the Person model directly as it may be a newer
    # version than this migration expects. We use the historical version.
    Device = apps.get_model("pyscada", "Device")
    SystemStatDevice = apps.get_model("systemstat", "SystemStatDevice")
    count = 0
    for item in Device.objects.using(schema_editor.connection.alias).filter(protocol=2):
        if not hasattr(item, 'systemstatdevice'):
            item.systemstatdevice = SystemStatDevice.objects.get_or_create(system_stat_device=item)[0]
            # item.save()
        count += 1

    logger.info('created %d SystemStat Devices\n' % count)


class Migration(migrations.Migration):

    dependencies = [
        ('systemstat', '0014_auto_20230227_1421'),
        ('pyscada', '0100_device_instrument_handler')
    ]

    operations = [
        migrations.RunPython(create_systemstat_devices, reverse_code=migrations.RunPython.noop),
    ]
